Index: xpdf-3.00/configure.in
===================================================================
--- xpdf-3.00.orig/configure.in	2004-01-22 02:26:44.000000000 +0100
+++ xpdf-3.00/configure.in	2005-07-17 22:15:29.000000000 +0200
@@ -276,14 +276,15 @@
                 $Xt_LIBS $X_LIBS $X_PRE_LIBS $Xp_LIBS $Xext_LIBS $X_EXTRA_LIBS -lX11, $X_CFLAGS)
   AC_SUBST(Xm_LIBS)
   AC_SUBST(Xm_CFLAGS)
-  if test "x$smr_have_Xm_library" != xyes; then
-    no_x="yes"
-  fi
   smr_CHECK_LIB(Sgm, Sgm, [SGI Motif library],
                 SgCreateHorzPanedWindow, Sgm/HPanedW.h,
                 $Xm_LIBS $Xt_LIBS $X_LIBS $X_PRE_LIBS $Xp_LIBS $Xext_LIBS $X_EXTRA_LIBS -lX11, $X_CFLAGS)
   AC_SUBST(Sgm_LIBS)
   AC_SUBST(Sgm_CFLAGS)
+dnl  if test "x$smr_have_Xm_library" != xyes; then
+dnl    AC_MSG_WARN([Motif check failed])
+dnl    no_x="yes"
+dnl  fi
 
   dnl # check for XtAppSetExitFlag, which didn't exist prior to X11R6 (?)
   if test "x$smr_have_Xt_library" = xyes; then
@@ -303,19 +304,10 @@
 fi
 
 dnl ##### Check for FreeType 2.x.
-dnl ##### (Note: FT_Get_Name_Index was added in FT 2.0.5, and is
-dnl ##### the reason that Xpdf requires 2.0.5+.)
-smr_CHECK_LIB(freetype2, freetype, [FreeType2 font rasterizer - version 2.0.5+],
-              FT_Get_Name_Index, freetype/freetype.h, -lm)
-if test x"$freetype2_LIBS" = x; then
-  smr_CHECK_LIB(freetype2, freetype, [FreeType2 font rasterizer - version 2.0.5+],
-                FT_Get_Name_Index, freetype.h, -lm)
-fi
-AC_SUBST(freetype2_LIBS)
-AC_SUBST(freetype2_CFLAGS)
-if test "x$smr_have_freetype2_library" != xyes; then
-  no_x="yes"
-fi
+dnl todo: enable HAVE_FREETYPE_H in CFLAGS for compilation
+AC_CHECK_FT2
+AC_SUBST(FT2_LIBS)
+AC_SUBST(FT2_CFLAGS)
 
 dnl ##### Check for libpaper (Debian).
 smr_CHECK_LIB(libpaper, paper, [Debian libpaper], paperinit, paper.h)
Index: xpdf-3.00/splash/Makefile.in
===================================================================
--- xpdf-3.00.orig/splash/Makefile.in	2004-01-22 02:26:45.000000000 +0100
+++ xpdf-3.00/splash/Makefile.in	2005-07-17 21:52:54.000000000 +0200
@@ -16,7 +16,7 @@
 FOFISRCDIR = $(srcdir)/../fofi
 FOFILIBDIR = ../fofi
 
-CXXFLAGS = @CXXFLAGS@ @DEFS@ -I.. -I$(GOOSRCDIR) -I$(FOFISRCDIR) -I$(srcdir) @t1_CFLAGS@ @freetype2_CFLAGS@
+CXXFLAGS = @CXXFLAGS@ @DEFS@ -I.. -I$(GOOSRCDIR) -I$(FOFISRCDIR) -I$(srcdir) @t1_CFLAGS@ @FT2_CFLAGS@
 
 CXX = @CXX@
 AR = @AR@
Index: xpdf-3.00/splash/SplashFTFontEngine.h
===================================================================
--- xpdf-3.00.orig/splash/SplashFTFontEngine.h	2004-01-22 02:26:44.000000000 +0100
+++ xpdf-3.00/splash/SplashFTFontEngine.h	2005-07-17 21:52:54.000000000 +0200
@@ -15,7 +15,8 @@
 #pragma interface
 #endif
 
-#include <freetype/freetype.h>
+#include <ft2build.h>
+#include FT_FREETYPE_H
 #include "gtypes.h"
 
 class SplashFontFile;
Index: xpdf-3.00/splash/SplashFTFontFile.h
===================================================================
--- xpdf-3.00.orig/splash/SplashFTFontFile.h	2004-01-22 02:26:44.000000000 +0100
+++ xpdf-3.00/splash/SplashFTFontFile.h	2005-07-17 21:52:54.000000000 +0200
@@ -15,7 +15,8 @@
 #pragma interface
 #endif
 
-#include <freetype/freetype.h>
+#include <ft2build.h>
+#include FT_FREETYPE_H
 #include "SplashFontFile.h"
 
 class SplashFontFileID;
Index: xpdf-3.00/xpdf/Makefile.in
===================================================================
--- xpdf-3.00.orig/xpdf/Makefile.in	2004-01-22 02:26:45.000000000 +0100
+++ xpdf-3.00/xpdf/Makefile.in	2005-07-17 21:52:54.000000000 +0200
@@ -19,12 +19,12 @@
 SPLASHSRCDIR = $(srcdir)/../splash
 SPLASHLIBDIR = ../splash
 
-CXXFLAGS = @CXXFLAGS@ @DEFS@ -I.. -I$(GOOSRCDIR) -I$(FOFISRCDIR) -I$(SPLASHSRCDIR) -I$(srcdir) @freetype2_CFLAGS@ @Sgm_CFLAGS@ @Xm_CFLAGS@ @Xt_CFLAGS@ @Xp_CFLAGS@ @Xext_CFLAGS@ @Xpm_CFLAGS@ @t1_CFLAGS@ @libpaper_CFLAGS@ @X_CFLAGS@
+CXXFLAGS = @CXXFLAGS@ @DEFS@ -I.. -I$(GOOSRCDIR) -I$(FOFISRCDIR) -I$(SPLASHSRCDIR) -I$(srcdir) @FT2_CFLAGS@ @Sgm_CFLAGS@ @Xm_CFLAGS@ @Xt_CFLAGS@ @Xp_CFLAGS@ @Xext_CFLAGS@ @Xpm_CFLAGS@ @t1_CFLAGS@ @libpaper_CFLAGS@ @X_CFLAGS@
 
 LDFLAGS = @LDFLAGS@
 
 T1LIBS = @t1_LIBS@
-FTLIBS = @freetype2_LIBS@
+FTLIBS = @FT2_LIBS@
 
 XLIBS = @Sgm_LIBS@ @Xm_LIBS@ @Xt_LIBS@ @Xp_LIBS@ @Xext_LIBS@ @Xpm_LIBS@ @X_PRE_LIBS@ @X_LIBS@ -lX11 @X_EXTRA_LIBS@
 
Index: xpdf-3.00/xpdf/pdftoppm.cc
===================================================================
--- xpdf-3.00.orig/xpdf/pdftoppm.cc	2004-01-22 02:26:45.000000000 +0100
+++ xpdf-3.00/xpdf/pdftoppm.cc	2005-07-17 21:52:54.000000000 +0200
@@ -49,7 +49,7 @@
   {"-t1lib",      argString,      enableT1libStr, sizeof(enableT1libStr),
    "enable t1lib font rasterizer: yes, no"},
 #endif
-#if HAVE_FREETYPE_FREETYPE_H | HAVE_FREETYPE_H
+#if HAVE_FREETYPE_FREETYPE_H || HAVE_FREETYPE_H
   {"-freetype",   argString,      enableFreeTypeStr, sizeof(enableFreeTypeStr),
    "enable FreeType font rasterizer: yes, no"},
 #endif
Index: xpdf-3.00/xpdf/xpdf.cc
===================================================================
--- xpdf-3.00.orig/xpdf/xpdf.cc	2004-01-22 02:26:45.000000000 +0100
+++ xpdf-3.00/xpdf/xpdf.cc	2005-07-17 21:52:54.000000000 +0200
@@ -65,7 +65,7 @@
   {"-t1lib",      argString,      enableT1libStr, sizeof(enableT1libStr),
    "enable t1lib font rasterizer: yes, no"},
 #endif
-#if HAVE_FREETYPE_FREETYPE_H | HAVE_FREETYPE_H
+#if HAVE_FREETYPE_FREETYPE_H || HAVE_FREETYPE_H
   {"-freetype",   argString,      enableFreeTypeStr, sizeof(enableFreeTypeStr),
    "enable FreeType font rasterizer: yes, no"},
 #endif
